#include <iostream>
#include <fstream>
using namespace std;

main()
{
	ifstream ulaz( "text.txt" );

	int br_linija = 0,
	    br_znakova = 0,
	    br_reci = 0;
	bool u_reci = false;
	char c;

        // podrazumeva se da posle poslednje linije
        // postoji znak '\n'
	while( 1 )
	{
		ulaz.get( c );

		if ( !ulaz )
			break;

		br_znakova++;

		if ( c != ' ' && c != '\t' && c != '\n' )
		{
		 	if ( !u_reci ){
				u_reci = true;
				br_reci++;
			}
		}
		else
		{
			u_reci = false;
			if ( c == '\n' )
				br_linija++;
		}
	}
        // br_znakova je prebrojio i '\n', a njih ima br_linija
        br_znakova -= br_linija;

	cout << "Broj znakova = " << br_znakova << endl;
	cout << "Broj reci = " << br_reci << endl;
	cout << "Broj linija = " << br_linija << endl;
	cout << "Prosek duzine linije = " << ( br_znakova/( float )br_linija ) << endl;
        
	ulaz.close();
}
